
Installer - Bug #36072

Constant errors with CandlepinEventListener on development machine

02/09/2023 08:46 PM - Ian Ballou

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-kat

ello_devel/pull/290

  

Description

Error looks like the following:

2023-02-09T20:45:11 [E|app|145c56aa] Error occurred while starting Katello::CandlepinEventListener

2023-02-09T20:45:11 [E|app|145c56aa] SSL_write

2023-02-09T20:45:11 [E|app|145c56aa] /usr/share/ruby/openssl/buffering.rb:322:in `syswrite'

145c56aa | /usr/share/ruby/openssl/buffering.rb:322:in `do_write'

145c56aa | /usr/share/ruby/openssl/buffering.rb:409:in `puts'

145c56aa | /home/vagrant/foreman/.vendor/ruby/2.7.0/gems/stomp-1.4.10/lib/connection/netio.rb:309:in `_wire_write'

145c56aa | /home/vagrant/foreman/.vendor/ruby/2.7.0/gems/stomp-1.4.10/lib/connection/netio.rb:262:in `block (2 levels) in _transmit'

145c56aa | /home/vagrant/foreman/.vendor/ruby/2.7.0/gems/stomp-1.4.10/lib/connection/netio.rb:256:in `each'

145c56aa | /home/vagrant/foreman/.vendor/ruby/2.7.0/gems/stomp-1.4.10/lib/connection/netio.rb:256:in `block in _transmit'

145c56aa | /home/vagrant/foreman/.vendor/ruby/2.7.0/gems/stomp-1.4.10/lib/connection/netio.rb:236:in `synchronize'

145c56aa | /home/vagrant/foreman/.vendor/ruby/2.7.0/gems/stomp-1.4.10/lib/connection/netio.rb:236:in `_transmit'

145c56aa | /home/vagrant/foreman/.vendor/ruby/2.7.0/gems/stomp-1.4.10/lib/connection/netio.rb:208:in `transmit'

145c56aa | /home/vagrant/foreman/.vendor/ruby/2.7.0/gems/stomp-1.4.10/lib/stomp/connection.rb:371:in `subscribe'

145c56aa | /home/vagrant/foreman/.vendor/ruby/2.7.0/gems/stomp-1.4.10/lib/stomp/client.rb:190:in `subscribe'

145c56aa | /home/vagrant/katello/app/lib/katello/messaging/stomp_connection.rb:43:in `subscribe'

145c56aa | /home/vagrant/katello/app/services/katello/candlepin_event_listener.rb:34:in `run'

145c56aa | /home/vagrant/katello/app/lib/katello/event_daemon/monitor.rb:40:in `block in check_services'

145c56aa | /home/vagrant/katello/app/lib/katello/event_daemon/monitor.rb:30:in `each'

145c56aa | /home/vagrant/katello/app/lib/katello/event_daemon/monitor.rb:30:in `check_services'

145c56aa | /home/vagrant/katello/app/lib/katello/event_daemon/monitor.rb:16:in `block (2 levels) in start'

145c56aa | /home/vagrant/foreman/.vendor/ruby/2.7.0/gems/activesupport-6.1.7.2/lib/active_support/execution_wrapper.rb:91:in

`wrap'

145c56aa | /home/vagrant/katello/app/lib/katello/event_daemon/monitor.rb:15:in `block in start'

145c56aa | /home/vagrant/katello/app/lib/katello/event_daemon/monitor.rb:14:in `loop'

145c56aa | /home/vagrant/katello/app/lib/katello/event_daemon/monitor.rb:14:in `start'

145c56aa | /home/vagrant/katello/app/lib/katello/event_daemon/runner.rb:81:in `block in start_monitor_thread'

145c56aa | /home/vagrant/foreman/.vendor/ruby/2.7.0/gems/logging-2.3.1/lib/logging/diagnostic_context.rb:474:in `block in

create_with_logging_context'

warning: broker sent EOF, and connection not reliable

#<Thread:0x000055dd483fe230 /home/vagrant/foreman/.vendor/ruby/2.7.0/gems/logging-2.3.1/lib/logging/diagnostic_context.rb:471

run> terminated with exception (report_on_exception is true):

Traceback (most recent call last):

3: from /home/vagrant/foreman/.vendor/ruby/2.7.0/gems/logging-2.3.1/lib/logging/diagnostic_context.rb:474:in `block in

create_with_logging_context'

2: from /home/vagrant/foreman/.vendor/ruby/2.7.0/gems/stomp-1.4.10/lib/client/utils.rb:194:in `block in start_listeners'

1: from /home/vagrant/foreman/.vendor/ruby/2.7.0/gems/stomp-1.4.10/lib/client/utils.rb:194:in `loop'

/home/vagrant/foreman/.vendor/ruby/2.7.0/gems/stomp-1.4.10/lib/client/utils.rb:198:in `block (2 levels) in start_listeners': Received

message is nil, and connection not reliable (Stomp::Error::NilMessageError)

It also causes Ping to fail.
#1 - 02/15/2023 07:08 PM - Lucy Fu

- Target version set to Katello Backlog

- Triaged changed from No to Yes

#2 - 02/23/2023 09:15 PM - Jeremy Lenz

- Project changed from Katello to Installer

- Category deleted (Tooling)

- Status changed from New to Closed

- Assignee set to Eric Helms

- Target version deleted (Katello Backlog)

- Triaged changed from Yes to No

- Pull request https://github.com/theforeman/puppet-katello_devel/pull/290 added
